#-----------------------------------------------------------------------------
%define		dist		.ok
#-----------------------------------------------------------------------------
Name		:	mate-system-monitor
Version		:	1.27.0
Release		:	14.8.0.0%{?dist}
Summary		:	Display readings from hardware sensors in your MATE panel 
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	gtk3+
BuildRequires	:	gtkmm30-devel
BuildRequires	:	itstool
BuildRequires	:	libgtop
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	libwnck
BuildRequires	:	polkit-devel

Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
MATE Sensors Applet is an applet for the MATE Panel to display
readings from hardware sensors, including CPU temperature, fan speeds
and voltage readings under Linux.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_libexecdir}/%{name}/msm-kill
%{_libexecdir}/%{name}/msm-renice
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.gschema.xml
%{_datadir}/help/*/%{name}/figures/*.png
%{_datadir}/help/*/%{name}/index.docbook
%{_datadir}/help/*/%{name}/legal.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}/*.{svg,png}
%{_datadir}/polkit-1/actions/org.mate.%{name}.policy
%{_mandir}/man1/%{name}.1.gz

%post
/usr/sbin/ldconfig
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-schemas-compile			\
	--disable-static				\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
